import _ from 'lodash'

const getSelectorRangeIndex = function(arr = []) {
    console.log(arr);
    if (arr[0]) {
        return Number(arr[0])
    } else {
        return -1
    }
}

const getSelectorRange = function(arr = []) {
    console.log("+++++++++++++++++++++++");
    let ret = []
    let tmpArr = []
    let typeObj = ''

    if (arr[0]) {
        typeObj = _.isObject(arr[0]) ? true : false
    }
    /*
        判断是不是 object array
    */


    for (let i = 0; i < arr.length; i++) {
        tmpArr.push({
            value: String(i),
            name: arr[i]
        })
    }
    ret.push(tmpArr)
    return ret
}
const getSelectorValue = function(value) {
    let _val = !!value ? String(value) : '0'
    return [_val]
}

const getTimeValue = function(value){
    if(value){
        return value.split(":")
    }else{
        return "00:00"
    }
}
const getTimeRange = function() {
    let ret = {
        hourList: [
            "00", "01", "02", "03", "04", "05", "06", "07", "08", "09",
            "10", "11", "12", "13", "14", "15", "16", "17", "18", "19",
            "20", "21", "22", "23"
        ],
        minuteList: [
            "00", "01", "02", "03", "04", "05", "06", "07", "08", "09",
            "10", "11", "12", "13", "14", "15", "16", "17", "18", "19",
            "20", "21", "22", "23", "24", "25", "26", "27", "28", "29",
            "30", "31", "32", "33", "34", "35", "36", "37", "38", "39",
            "40", "41", "42", "43", "44", "45", "46", "47", "48", "49",
            "50", "51", "52", "53", "54", "55", "56", "57", "58", "59"
        ]
    }
    return [ret.hourList,ret.minuteList]
}

export {
    getSelectorRange,
    getSelectorRangeIndex,
    getSelectorValue,
    getTimeRange,
    getTimeValue
};
