//输换


const fs = require('fs'),
    path = require('path'),
    xml2js = require('xml2js'),
    decode = require('decode-html');

var tagNames = {
    'view': 'div',
    'form': 'form',
    'input': 'input',
    'button': 'button',
    'picker': 'picker',
    'image': 'img'
}

var attrNames ={
  ""
}




function tagNameProcessors(name) {
    console.log('tagName', name)
    if (name == 'view') {
        return 'div'
    }
    return name
}


function valueProcessors(value) {
    console.log('tagValue', value)
    return value
}

function attrNameProcessors(name) {
    console.log('attrNameP', name)
    return name
}

function attrValueProcessors(value) {
    console.log('attrValue', value)
    return value
}

function parser(xml) {
    var parseString = xml2js.parseString;
    var builder = new xml2js.Builder();
    return new Promise(function(resolve, reject) {

        parseString(xml, {
            tagNameProcessors: [tagNameProcessors],
            attrNameProcessors: [attrNameProcessors],
            valueProcessors: [valueProcessors],
            attrValueProcessors: [attrValueProcessors]
        }, function(err, result) {

            var xml = builder.buildObject(result);
            console.log('output', xml);

            return resolve({
                err: err,
                data: result
            });
        });
    });
}



module.exports = async function(wxFolder, vueFolder, page) {
    var vue = page.split('/')[1].firstUpperCase();
    var wxmlFile = path.join(wxFolder, page + '.wxml');
    var stat = fs.statSync(wxmlFile);
    if (stat) {
        var wxml = fs.readFileSync(wxmlFile, 'utf8');
        console.log(wxml);
        var res = await parser(wxml);
        console.log("==>res", res);
    }
    return "";
}
